- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnCurveSegmentManip Class Reference

# OpenMayaUI - API module for user interface | FunctionSet classes

Search for all occurrences

## Detailed Description

CurveSegmentManip function set.

The CurveSegmentManip allows the user to manipulate two points on a curve, in order to specify a curve segment. This manipulator generates two floating point values, which correspond to the parameters of the start and end of the curve segment.

`#include <MFnCurveSegmentManip.h>`

Inheritance diagram for MFnCurveSegmentManip:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnCurveSegmentManip ()
| Destructor.
| MFnCurveSegmentManip ()
| Default constructor.
| MFnCurveSegmentManip (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
| MFnCurveSegmentManip (const MDagPath &object, MStatus *ret=NULL)
| Constructor.
MObject | create (MStatus *ReturnStatus=NULL)
| Creates a new CurveSegmentManip.
MObject | create (const MString &manipName, const MString &startParamName, const MString &endParamName, MStatus *ReturnStatus=NULL)
| Creates a new CurveSegmentManip.
MStatus | connectToCurvePlug (MPlug &curvePlug)
| Connect to the curve plug.
MStatus | connectToStartParamPlug (MPlug &startParamPlug)
| Connect to the startParam plug.
MStatus | connectToEndParamPlug (MPlug &endParamPlug)
| Connect to the endParam plug.
MStatus | setStartParameter (double startParameter)
| Sets the start parameter.
MStatus | setEndParameter (double endParameter)
| Sets the end parameter.
double | startParameter (MStatus *ReturnStatus=NULL) const
| Returns the start parameter.
double | endParameter (MStatus *ReturnStatus=NULL) const
| Returns the end parameter.
unsigned int | curveIndex (MStatus *ReturnStatus=NULL) const
| Returns the index of the curve.
unsigned int | startParamIndex (MStatus *ReturnStatus=NULL) const
| Returns the index of the start parameter of the CurveSegmentManip.
unsigned int | endParamIndex (MStatus *ReturnStatus=NULL) const
| Returns the index of the end parameter of the CurveSegmentManip.
| MFnCurveSegmentManip (const MObject &object, MStatus *ret=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

~MFnCurveSegmentManip | ( |  | ) | `[virtual]`

Destructor.

Class destructor.

MFnCurveSegmentManip | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnCurveSegmentManip | ( | const MDagPath & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given constant MDagPath object.

Parameters:

  [in] | object | The const MDagPath to attach the function set to
  [out] | ReturnStatus | The return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnCurveSegmentManip | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kCurveSegmentManip.

Reimplemented from MFnManip3D.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnCurveSegmentManip".

Reimplemented from MFnManip3D.

MObject create | ( | MStatus * | ReturnStatus = `NULL` | ) |

Search for all occurrences

Creates a new CurveSegmentManip.

This function set's object is set to be the new manipulator.

This method should only be used to create a non-composite CurveSegmentManip.

The name that appears in the feedback line is "CurveSegment"

Parameters:

  [out] | ReturnStatus | return status

Returns:
  Newly created CurveSegmentManip

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MObject create | ( | const MString & | manipName,
|  | const MString & | startParamName,
|  | const MString & | endParamName,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Search for all occurrences

Creates a new CurveSegmentManip.

This function set's object is set to be the new manipulator.

This method should only be used to create a non-composite CurveSegmentManip.

The names that appears in the feedback line are specified by the startParamName and endParamName arguments.

Parameters:

  [in] | manipName | Name of the manip for UI purposes.
  [in] | startParamName | Label for the startParam value which appears in the feedback line.
  [in] | endParamName | Label for the endParam value which appears in the feedback line.
  [out] | ReturnStatus | Status code.

Returns:
  Newly created CurveSegmentManip.

Status Codes:
  - MS::kSuccess Operation successful.
  - MS::kFailure Operation failed.

MStatus connectToCurvePlug | ( | MPlug & | curvePlug | ) |

Search for all occurrences

Connect to the curve plug.

The data type corresponding to the curvePlug is MFnData::kNurbsCurve.

Parameters:

  [in] | curvePlug | the curve plug

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus connectToStartParamPlug | ( | MPlug & | startParamPlug | ) |

Search for all occurrences

Connect to the startParam plug.

The data type corresponding to the startParamPlug is a double.

Parameters:

  [in] | startParamPlug | the startParam plug

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus connectToEndParamPlug | ( | MPlug & | endParamPlug | ) |

Search for all occurrences

Connect to the endParam plug.

The data type corresponding to the endParamPlug is a double.

Parameters:

  [in] | endParamPlug | the endParam plug

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus setStartParameter | ( | double | startParameter | ) |

Search for all occurrences

Sets the start parameter.

Parameters:

  [in] | startParameter | the start parameter

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus setEndParameter | ( | double | endParameter | ) |

Search for all occurrences

Sets the end parameter.

Parameters:

  [in] | endParameter | the end parameter

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

double startParameter | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the start parameter.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  - start parameter

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

double endParameter | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the end parameter.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  End parameter

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

unsigned int curveIndex | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the index of the curve.

The data type corresponding to this index is MFnData::kNurbsCurve.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  Curve index

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

unsigned int startParamIndex | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the index of the start parameter of the CurveSegmentManip.

The data type corresponding to this index is a double.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  Start parameter index

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

unsigned int endParamIndex | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the index of the end parameter of the CurveSegmentManip.

The data type corresponding this index is a double.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  End parameter index

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MFnCurveSegmentManip MFnCurveSegmentManip MFnCurveSegmentManip MFnCurveSegmentManip MFnCurveSegmentManip MFnCurveSegmentManip MFnCurveSegmentManip MFnCurveSegmentManip MFnCurveSegmentManip MFnCurveSegmentManip
MFnCurveSegmentManip MFnCurveSegmentManip MFnCurveSegmentManip MFnCurveSegmentManip MFnCurveSegmentManip MFnCurveSegmentManip MFnCurveSegmentManip MFnCurveSegmentManip MFnCurveSegmentManip MFnCurveSegmentManip